# Class: Fieldset

## jala.Form.Component.Fieldset(name)

Instances of this class represent a form fieldset containing numerous form components

## Constructor

#### new Fieldset(name)

Constructs a new Fieldset instance

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` | String | The name of the fieldset

Source:
  - jala/code/Form.js, line 920

##### Returns:

A newly created Fieldset instance

### Members

#### components

Contains a map of all component objects of this fieldset

Source:
  - jala/code/Form.js, line 940

### Methods

#### addComponent(component)

Adds a component to this jala.Form.Component.Fieldset instance

##### Parameters:

Name | Type | Description
--- | --- | ---
`component` | jala.Form.Component.Input |

Source:
  - jala/code/Form.js, line 956

#### containsFileUpload()

Returns true if this instance of jala.Form.Component.Fieldset contains at least one component doing a file upload.

Source:
  - jala/code/Form.js, line 969
See:
  - jala.Form.Component#containsFileUpload

#### getLegend()

Returns the legend of the fieldset.

Source:
  - jala/code/Form.js, line 983

##### Returns:

legend

#### listComponents()

Returns an array containing the components of this jala.Form.Component.Fieldset instance.

Source:
  - jala/code/Form.js, line 948

##### Returns:

The components of this jala.Form instance.

#### render()

Renders all components within the fieldset.

Source:
  - jala/code/Form.js, line 1017

#### save(tracker, destObj)

Saves all components within the fieldset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tracker` | jala.Form.Tracker |
`destObj` | Object |

Source:
  - jala/code/Form.js, line 1063

#### setLegend(newLegend)

Sets the legend text.

##### Parameters:

Name | Type | Description
--- | --- | ---
`newLegend` | String | legend to use when printing the fieldset.

Source:
  - jala/code/Form.js, line 991

#### validate(tracker)

Validates all components within the fieldset.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tracker` | jala.Form.Tracker |

Source:
  - jala/code/Form.js, line 1050